#pragma once
#include <map>
struct M_ActivityHappySummerBlindBoxCFGData
{
	//ID
	int mID;
	//道具ID
	int mItemID;
	//道具数量
	int mCount;
	//剩余次数
	int mRemainder;
	//大奖(1,2,3,4,5)
	int mBIgPrice;
	//权重1(60-51)
	int mWeight1;
	//权重2(50-41)
	int mWeight2;
	//权重3(40-31)
	int mWeight3;
	//权重4(30-21)
	int mWeight4;
	//权重5(20-11)
	int mWeight5;
	//权重6(10-1)
	int mWeight6;
};

class M_ActivityHappySummerBlindBoxCFG
{
public:
private:
	static std::auto_ptr<M_ActivityHappySummerBlindBoxCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityHappySummerBlindBoxCFGData* GetData(int ID);
	const std::map<int, M_ActivityHappySummerBlindBoxCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityHappySummerBlindBoxCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityHappySummerBlindBoxCFGData> mMapData;
};
